> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/react-native/setup-luciq-for-react-native/codepush-for-react-native.md).

# CodePush for React Native

### Initialization

To integrate Luciq with CodePush, pass the codePushVersion to allow you to change the reported versions.

{% code title="JavaScript" %}

```javascript
Luciq.init({
  token: '<User-App-token>',
  codePushVersion: '<Code-push-version>',
  invocationEvents: [<Invocation-events>],
  // ...  Other optional arguments here
});
```

{% endcode %}

Make sure to replace "User-App-token", "Code-push-version", and "Invocation-events" with your actual Luciq token, CodePush version, and invocation events.

### Native Initialization

To send the CodePush version from your native side, use the APIs for your platform:

{% tabs %}
{% tab title="iOS — Swift" %}

```swift
//This should be called before startingWithToken.

Luciq.setCodePushVersion("")
```

{% endtab %}

{% tab title="iOS — Objective-C" %}

```objc
//This should be called before startingWithToken.

[Luciq setCodePushVersion:@""];
```

{% endtab %}

{% tab title="Android — Java" %}

```java
new Luciq.Builder(application,"LUCIQ_TOKEN")
    .setCodePushVersion("")
    .build()
```

{% endtab %}

{% tab title="Android — Kotlin" %}

```kotlin
Luciq.Builder(application, "LUCIQ_TOKEN")
	.setCodePushVersion("")
	.build()
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}

#### Character Limit

* The total length of the combined app version and codePushVersion should **not exceed 40 characters**. Exceeding the limit will result in trimming the excess characters.
* The combined versions will show as: "+codepush:". For example, if the app version is 1.0.0 (1), it would show as 1.0.0 (1)+codepush:1.0.6 (2) on the Luciq Dashboard.
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/react-native/setup-luciq-for-react-native/codepush-for-react-native.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
